CVC4::CardinalityBeth Class Reference

Representation for a Beth number, used only to construct Cardinality objects. More...

`#include <cardinality.h>`

## Public Member Functions

| CardinalityBeth (const Integer &beth)
const Integer & | getNumber () const throw ()

## Detailed Description

Representation for a Beth number, used only to construct Cardinality objects.

Definition at line 35 of file cardinality.h.

## Constructor & Destructor Documentation

## CardinalityBeth()

CVC4::CardinalityBeth::CardinalityBeth | ( | const Integer & | beth | ) |

inline

Definition at line 39 of file cardinality.h.

References CVC4::CheckArgument(), and CVC4::Integer::toString().

## Member Function Documentation

## getNumber()

const Integer & CVC4::CardinalityBeth::getNumber | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 45 of file cardinality.h.

The documentation for this class was generated from the following file:

- src/util/cardinality.h